package org.richfaces.realworld.util;

import org.jboss.seam.annotations.Name;

@Name(value="navigationHelper")
public class NavigationHelper {

	private NavigationEnum navigationEnum;
	
	public NavigationEnum getNavigationEnumUserPrefs(){
		return NavigationEnum.USER_PREFS;
	}
	
	public NavigationEnum getNavigationEnumSearch(){
		return NavigationEnum.SEARCH;
	}
	
	public NavigationEnum getNavigationEnumReadMessages(){
		return NavigationEnum.READ_MESSAGES;
	}
	
	public NavigationEnum getNavigationEnumImagePreview(){
		return NavigationEnum.IMAGE_PREVIEW;
	}
	
	public NavigationEnum getNavigationEnumFileUpload(){
		return NavigationEnum.FILE_UPLOAD;
	}
}
